using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Suggest:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Suggest
	{
		public Dd_Suggest()
		{}
		#region Model
		private int _suggest_id;
		private int _user_id;
		private string _suggest_content;
		private string _suggest_guid;
		private DateTime? _suggest_datetime= DateTime.Now;
		private DateTime? _suggest_updatetime= DateTime.Now;
		private int? _suggest_verify;
		private int? _suggest_lock;
		private int? _suggest_state;
		private int? _suggest_delete;
		private int? _suggest_count;
		private int? _suggest_order;
		private string _suggest_remark;
		/// <summary>
		/// 建议的ID
		/// </summary>
		public int Suggest_ID
		{
			set{ _suggest_id=value;}
			get{return _suggest_id;}
		}
		/// <summary>
		/// 发表建议的用户ID
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 用户建议内容
		/// </summary>
		public string Suggest_Content
		{
			set{ _suggest_content=value;}
			get{return _suggest_content;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Suggest_Guid
		{
			set{ _suggest_guid=value;}
			get{return _suggest_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Suggest_Datetime
		{
			set{ _suggest_datetime=value;}
			get{return _suggest_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Suggest_UpDatetime
		{
			set{ _suggest_updatetime=value;}
			get{return _suggest_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Suggest_Verify
		{
			set{ _suggest_verify=value;}
			get{return _suggest_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Suggest_Lock
		{
			set{ _suggest_lock=value;}
			get{return _suggest_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Suggest_State
		{
			set{ _suggest_state=value;}
			get{return _suggest_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Suggest_Delete
		{
			set{ _suggest_delete=value;}
			get{return _suggest_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Suggest_Count
		{
			set{ _suggest_count=value;}
			get{return _suggest_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Suggest_Order
		{
			set{ _suggest_order=value;}
			get{return _suggest_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Suggest_Remark
		{
			set{ _suggest_remark=value;}
			get{return _suggest_remark;}
		}
		#endregion Model

	}
}

